<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/alternative.css') }}">
</head>
<body>
    <div class="content">
        <h2>Lista zakupów</h2>
        <table>
            {% if shopping_list %}
            <tr>
                <th colspan="3">Przedmiot</th>
            </tr>
            {% endif %}
            {% for item in shopping_list %}
            <tr>
                <td>{{item}}</td>
                <td>
                    <a href="/delete/{{item}}"> usuń </a>
                </td>
            </tr>
            {% endfor %}
        </table>
        <br>
        <form action="/" method="POST">
            <div id="kupowanie">
                <input type="text" name="object" id="object" required="required" placeholder="Czego szukasz?"><br>
                <input type="number" name="price_min" id="price_min" min="0" required="required" placeholder="Cena minimalna"><br>
                <input type="number" name="price_max" id="price_max" min="0" required="required" placeholder="Cena maksymalna"><br>
                <select name="score" id="score">
                    <option value="">Minimalna ocena sprzedawcy</option>
                    <option>0.5</option><option>1</option>
                    <option>1.5</option><option>2</option>
                    <option>2.5</option><option>3</option>
                    <option>3.5</option><option>4</option>
                    <option>4.5</option><option>5</option>
                </select><br>
                <input type="number" name="number_of_pieces" id="number_of_pieces" min="1" required="required" placeholder="Liczba sztuk"><br>
                <input type="text" name="url" id="url" placeholder="(Opcjonalnie) Podaj link do produktu"><br>
                <br><br>
                {% if shopping_list|length < 5 %}
                <input type="submit" value="Dodaj do zamówienia"><br><br>
                {% endif %}
            </div>
            <div class="wrapper">
                <button class="button" style="vertical-align:middle" formnovalidate><span><a href="/result" style="color: white">Kup </a></span></button>
            </div>
        </form>
    </div>
</body>
</html>
